Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class CreateSituationImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.SituationTypeImpl
            |
            +--org.eclipse.hyades.logging.events.CreateSituationImpl

All Implemented Interfaces:
  java.lang.Cloneable, ICreateSituation, ISituationType, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class CreateSituationImpl
extends SituationTypeImpl
implements ICreateSituation, java.io.Serializable, java.lang.Cloneable

The CreateSituation deals with the situations documenting when a component creates an entity. Messages telling that a document was created, or a file was created, or an EJB was created all fall into this category. Existing message include words like was created, about to create, and now exists, for example: `ADMR0009I: Document cells/flatfootNetwork/applications/Dynamic Cache Monitor.ear/Dynamic Cache Monitor.ear was created`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ICreateSituation`, `ISituationType`, Serialized Form

Field Summary
`protected java.lang.String` | `successDisposition` Deprecated.

Fields inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`reasoningScope`

Constructor Summary
`protected` | `CreateSituationImpl()` Deprecated. No-argument protected constructor for CreateSituationImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Deprecated. Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getSuccessDisposition()` Deprecated. Returns the successDisposition.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setSuccessDisposition(java.lang.String successDisposition)` Deprecated. Sets the successDisposition.

Methods inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`getReasoningScope, setReasoningScope`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, setReasoningScope`

Field Detail

### successDisposition

    protected java.lang.String successDisposition

  Deprecated.

Constructor Detail

### CreateSituationImpl

    protected CreateSituationImpl()

  Deprecated.
  No-argument protected constructor for CreateSituationImpl.

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Deprecated.
  Returns the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getSuccessDisposition` in interface `ICreateSituation`
  Returns:
    String The returned successDisposition.
  Since:
    1.0.1

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String successDisposition)

  Deprecated.
  Sets the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setSuccessDisposition` in interface `ICreateSituation`
  Parameters:
    `successDisposition` - The successDisposition to be set.
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object object)

  Deprecated.
  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `SituationTypeImpl`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `SituationTypeImpl`
  Returns:
    Object The clone of this object.
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ISituationType`
  Overrides:
    `init` in class `SituationTypeImpl`
  See Also:
    `ISituationType.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD